Assets
Get paginated list of image assets
GET
Retrieve a paginated list of user-uploaded image assets.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
page?PagePage number.
Default
1per_page?Per PageItems per page.
Range
1 <= value <= 100Default
20order?OrderSort order.
Default
"desc"Value in
"asc""desc"created_by?|Filter by uploader username (exact match). Typically the username of a teammate when scoping by group member.
Default
nullcreated_after?|Filter assets created after this timestamp (ISO 8601 format).
Default
nullcreated_before?|Filter assets created before this timestamp (ISO 8601 format).
Default
nullsort_by?Sort BySort by field.
Default
"created_at"Value in
"filename""created_at"search?|General search term to match against tags, filename or project name.
Default
nullownership?|Filter by ownership: 'mine' for own assets, 'shared' for group members' assets, 'default' for platform assets.
Default
nulltag_ids?array<string>|Filter by user-defined tag IDs (OR semantics). Repeat the param: ?tag_ids=a&tag_ids=b.
Default
nullSuccessful Response
application/json- response
pagination*Pagination information.
assets*array<>List of assets.
curl -X GET "https://example.com/assets"{ "pagination": { "page": 0, "per_page": 0, "total": 0, "pages": 0, "has_next": true, "has_prev": true }, "assets": [ { "id": "string", "filename": "string", "url": "string", "created_at": "string", "created_by": "string", "tags": [ "string" ], "visibility": "private", "thumbnail_big": null, "thumbnail_small": null, "styling_note": null, "detected": null, "dimensions": null, "user_tags": [] } ]}